package com.atlassian.stash.internal.commit.graph;

import com.atlassian.bitbucket.repository.Repository;

/**
 * A {@link CommitGraphSource commit graph source} backed by a cache that can rebuilt on demand for a repository.
 */
public interface CachedCommitGraphSource extends CommitGraphSource {

    void purgeStaleEntries();

    void rebuildFor(Repository repository);

}
